Query Propertybase listings

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/propertybasese/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PropertyBaseSE MCP server": {
    "url": "https://apidocs.lwolf.com/doc/propertybasese/mcp"
  }
}

Close
GET /pba__WebserviceListingsQuery

Retrieve listings from Propertybase with filtering, sorting, and pagination. Returns XML or JSON.

Query parameters

  • token string Required

    Your webserviceWebListings_token

  • fields string Required

    Semicolon-separated field API names (e.g., name;pba_ListingPrice_pbc;pbaBedrooms_pb_c)

  • itemsperpage integer

    Number of results per page (default: 20, max: 1000)

    Default value is 20.

  • page integer

    Page number (0-indexed)

    Default value is 0.

  • orderby string

    Sort field and direction (e.g., pba_ListingPrice_pb_c;ASC)

  • getimages boolean

    Include image URLs

    Default value is false.

  • getvideos boolean

    Include video URLs

    Default value is false.

  • getdocuments boolean

    Include document URLs

    Default value is false.

  • debugmode boolean

    Include debug messages in response

    Default value is false.

Responses

  • 200 application/json

    Successful query response

    Hide response attributes Show response attributes object
    • page integer

      Current page number (0-indexed)

    • listingsPerPage integer

      Number of listings per page

    • numberOfListings integer

      Total listings matching filter

    • fatalError boolean

      Whether a fatal error occurred

    • errorMessages array[string]

      Any error messages

    • debugMessages array[string]

      Debug messages (if debugmode=true)

    • listings array[object]

      Array of matching listings

      Hide listings attributes Show listings attributes object
      • data object

        Listing field data (fields vary by request)

        Hide data attributes Show data attributes object
        • id string

          Listing record ID

        • name string

          Listing name/address

        • pba__ListingPrice_pb__c number

          Listing price

        • pba__Bedrooms_pb__c number

          Number of bedrooms

        • pba__FullBathrooms_pb__c number

          Number of bathrooms

      • media object
        Hide media attributes Show media attributes object
        • images array[object]
          Hide images attributes Show images attributes object
          • title string
          • filename string
          • tags string
          • mimetype string
          • url string(uri)
          • baseurl string(uri)
          • external boolean

            True if hosted externally (e.g., YouTube)

        • videos array[object]
          Hide videos attributes Show videos attributes object
          • title string
          • filename string
          • tags string
          • mimetype string
          • url string(uri)
          • baseurl string(uri)
          • external boolean

            True if hosted externally (e.g., YouTube)

        • documents array[object]
          Hide documents attributes Show documents attributes object
          • title string
          • filename string
          • tags string
          • mimetype string
          • url string(uri)
          • baseurl string(uri)
          • external boolean

            True if hosted externally (e.g., YouTube)

  • 400

    Invalid query parameters

  • 401

    Invalid or missing token

GET /pba__WebserviceListingsQuery
curl \
 --request GET 'https://yourendpoint/pba__WebserviceListingsQuery?token=string&fields=string' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "page": 42,
  "listingsPerPage": 42,
  "numberOfListings": 42,
  "fatalError": true,
  "errorMessages": [
    "string"
  ],
  "debugMessages": [
    "string"
  ],
  "listings": [
    {
      "data": {
        "id": "string",
        "name": "string",
        "pba__ListingPrice_pb__c": 42.0,
        "pba__Bedrooms_pb__c": 42.0,
        "pba__FullBathrooms_pb__c": 42.0
      },
      "media": {
        "images": [
          {
            "title": "string",
            "filename": "string",
            "tags": "string",
            "mimetype": "string",
            "url": "https://example.com",
            "baseurl": "https://example.com",
            "external": true
          }
        ],
        "videos": [
          {
            "title": "string",
            "filename": "string",
            "tags": "string",
            "mimetype": "string",
            "url": "https://example.com",
            "baseurl": "https://example.com",
            "external": true
          }
        ],
        "documents": [
          {
            "title": "string",
            "filename": "string",
            "tags": "string",
            "mimetype": "string",
            "url": "https://example.com",
            "baseurl": "https://example.com",
            "external": true
          }
        ]
      }
    }
  ]
}